/**
 * EmployeeService.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.service;

import java.util.List;

import com.zds.slms.dao.IEmployeeDao;
import com.zds.slms.domain.Employee;

/**
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.slms.service<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-6<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1<br/>
 */
public class EmployeeService implements IEmployeeService {
	private IEmployeeDao employeeDao;

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IEmployeeService#findEmployee(com.zds.slms.domain
	 * .Employee)
	 */
	public List<Employee> findEmployee(Employee employee) {
		return employeeDao.findEmployee(employee);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IEmployeeService#saveEmployee(com.zds.slms.domain
	 * .Employee)
	 */
	@Override
	public void saveEmployee(Employee employee) {
		employeeDao.saveEmployee(employee);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IEmployeeService#deleteEmployee(java.lang.String[])
	 */
	public void deleteEmployee(String[] employeeId) {
		employeeDao.deleteEmployee(employeeId);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IEmployeeService#updateEmployee(com.zds.slms.domain
	 * .Employee)
	 */
	public void updateEmployee(Employee employee) {
		employeeDao.updateEmployee(employee);

	}

	/**
	 * @return the employeeDao
	 */
	public IEmployeeDao getEmployeeDao() {
		return employeeDao;
	}

	/**
	 * @param employeeDao
	 *            the employeeDao to set
	 */
	public void setEmployeeDao(IEmployeeDao employeeDao) {
		this.employeeDao = employeeDao;
	}

}
